curl -X DELETE https://api.relace.run/v1/repo/123e4567-e89b-12d3-a456-426614174000 \
-H "Authorization: Bearer YOUR_API_KEY"
import { Relace } from "@relace-ai/relace";
const client = new Relace({ apiKey: "YOUR_API_KEY" });
const repoId = "123e4567-e89b-12d3-a456-426614174000";
await client.repo.delete(repoId);
console.log("Repo deleted successfully");
from relace import Relace
client = Relace(api_key = "YOUR_API_KEY")
repo_id = "123e4567-e89b-12d3-a456-426614174000"
client.repo.delete(repo_id)
print("Repo deleted successfully")
204 No Content
Source Control
Delete Repo
Delete a repo and all its associated data
DELETE
/
v1
/
repo
/
{repo_id}
curl -X DELETE https://api.relace.run/v1/repo/123e4567-e89b-12d3-a456-426614174000 \
-H "Authorization: Bearer YOUR_API_KEY"
import { Relace } from "@relace-ai/relace";
const client = new Relace({ apiKey: "YOUR_API_KEY" });
const repoId = "123e4567-e89b-12d3-a456-426614174000";
await client.repo.delete(repoId);
console.log("Repo deleted successfully");
from relace import Relace
client = Relace(api_key = "YOUR_API_KEY")
repo_id = "123e4567-e89b-12d3-a456-426614174000"
client.repo.delete(repo_id)
print("Repo deleted successfully")
204 No Content
Path Parameters
string
required
UUID of the repo to delete
Response
This endpoint returns no content on successful deletion.curl -X DELETE https://api.relace.run/v1/repo/123e4567-e89b-12d3-a456-426614174000 \
-H "Authorization: Bearer YOUR_API_KEY"
import { Relace } from "@relace-ai/relace";
const client = new Relace({ apiKey: "YOUR_API_KEY" });
const repoId = "123e4567-e89b-12d3-a456-426614174000";
await client.repo.delete(repoId);
console.log("Repo deleted successfully");
from relace import Relace
client = Relace(api_key = "YOUR_API_KEY")
repo_id = "123e4567-e89b-12d3-a456-426614174000"
client.repo.delete(repo_id)
print("Repo deleted successfully")
204 No Content
⌘I